Bug 339881 - mikmod build fails in check-buildroot
mikmod build fails in check-buildroot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mikmod (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2007-10-19 11:20 EDT by Doug Chapman
Modified: 2013-07-02 19:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 07:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-10-19 11:20:43 EDT
Description of problem:
mikmod cannot be built under Fedora 8.

The mikmod spec file has some funny hacks which causes check-buildroot to fail
and therefore mikmod cannot be built.  The root of the problem is the mikmod
source contains both libmikmod and also the mikmod binary which requires
libmikmod.  Because of this there are hacks in the spec file that causes some
references in the binaries to the buildroot dir:
/var/tmp/mikmod-3.2.2-2.fc8-root-mockbuild

It seems the proper way to build mikmod would be to split it into 2 packages, a
libmikmod rpm and then a separate mikmod package that depends on libmikmod.

I assume we got away with this in the past because rpmbuild did not do the
check-buildroot step.


Version-Release number of selected component (if applicable):
mikmod-3.2.2-2.fc7.src.rpm


How reproducible:
100%

Steps to Reproduce:
* on a Fedora 8 system *
1. rpmbuild --rebuild -bb mikmod-3.2.2-2.fc7.src.rpm
2.
3.
  
Actual results:
+ /usr/lib/rpm/check-buildroot
Binary file
/var/tmp/mikmod-3.2.2-2.fc8-root-root/usr/lib/debug/usr/bin/mikmod.debug matches
Found '/var/tmp/mikmod-3.2.2-2.fc8-root-root' in installed files; aborting
error: Bad exit status from /var/tmp/rpm-tmp.3931 (%install)


Expected results:
should build cleanly


Additional info:
Comment 1 Jindrich Novy 2007-10-22 07:06:32 EDT
This error comes from the way how mikmod is linked against libmikmod, because
spec file tricks the compilation in the way that libmikmod is installed to a
buildroot and then mikmod links against the libmikmod in the buildroot what
causes that there are paths pointing to buildroot present in the mikmod executable.

The proper way how resolve this is likely to package libmikmod separately and BR
it from mikmod. It's shipped in a separate tarball anyway.
Comment 2 Jindrich Novy 2007-10-22 10:30:51 EDT
Review request for libmikmod submitted, bug 345261.
Comment 3 Jindrich Novy 2007-10-24 07:41:05 EDT
Fixed, libmikmod is now packaged separately and new mikmod built.

Note You need to log in before you can comment on or make changes to this bug.